Name:          jsmpp
Version:       2.1.0
Release:       1%{?dist}
Summary:       Java SMPP (Short Message Peer-to-peer) API
License:       ASL 2.0
URL:           http://code.google.com/p/jsmpp/
# migrated to https://github.com/uudashr/jsmpp/
Source0:       http://jsmpp.googlecode.com/files/%{name}-%{version}-src.zip
Source1:       http://repo1.maven.org/maven2/com/googlecode/jsmpp/%{name}/%{version}-RELEASE/%{name}-%{version}-RELEASE.pom
Source2:       %{name}-osgi.bnd
# add beust-jcommander
Patch0:        %{name}-2.0.1-test-classpath.patch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
# test dep
BuildRequires: mvn(com.beust:jcommander)
BuildRequires: mvn(org.testng:testng)

%if %{?fedora} > 20
BuildRequires: javapackages-local
BuildRequires: mvn(log4j:log4j:1.2.17)
Requires:      mvn(log4j:log4j:1.2.17)
%else
BuildRequires: maven-local
BuildRequires: mvn(log4j:log4j)
Requires:      mvn(log4j:log4j)
%endif
Requires:      mvn(org.slf4j:slf4j-api)
BuildArch:     noarch

%description
The Java implementation of SMPP protocol (currently supports SMPP v 3.4).

%package examples
Summary:       JSMPP examples
Requires:      %{name} = %{version}-%{release}

%description examples
This package contains %{name} examples.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# cleanup
find -name "*.jar" -delete
find -name "*.class" -delete
find -name "*.bat" -delete
rm -r javadoc

%patch0 -p0

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} bnd.properties
sed -i "s|@VERSION@|%{version}|" bnd.properties

sed -i "s|http://java.sun.com/j2se/1.5.0/docs/api|%{_javadocdir}/java|" build.xml

sed -i.log4j "s|version>1.2.14|version>1.2.17|" pom.xml

%if %{?fedora} > 20
ln -sf $(build-classpath log4j-1.2.17) lib/log4j-1.2.14.jar
%else
ln -sf $(build-classpath log4j) lib/log4j-1.2.14.jar
%endif
ln -sf $(build-classpath slf4j/api) lib/slf4j-api-1.4.3.jar
ln -sf $(build-classpath slf4j/log4j12) lib/slf4j-log4j12-1.4.3.jar
ln -sf $(build-classpath testng) lib/testng-5.7-jdk15.jar
ln -sf $(build-classpath beust-jcommander) lib/

%mvn_file : %{name}
%mvn_alias :%{name} org.apache.servicemix.bundles:org.apache.servicemix.bundles.%{name}

%build

ant jar javadoc
# required by Apache Camel
java -jar $(build-classpath aqute-bnd) wrap -properties bnd.properties %{name}-%{version}.jar

mv %{name}-%{version}.bar %{name}-%{version}.jar

%install
%mvn_artifact pom.xml %{name}-%{version}.jar
%mvn_install -J javadoc

install -m 644 %{name}-examples.jar %{buildroot}%{_javadir}/

%files -f .mfiles
%doc CHANGES.txt
%license LICENSE.txt

%files examples
%{_javadir}/%{name}-examples.jar
%doc stress/*
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jun 19 2013 gil cattaneo <puntogil@libero.it> 2.1.0-1
- initial rpm
